KDE 4.7 PyKDE API Reference

- KDE's Python API

# RecursiveCollectionFilterProxyModel Class Reference

`from PyKDE4.akonadi import *`

Inherits: KRecursiveFilterProxyModel → QSortFilterProxyModel → QAbstractProxyModel → QAbstractItemModel → QObject
Namespace: Akonadi

## Detailed Description

A model to filter out collections of non-matching content types.

Author:
  Stephen Kelly <steveire@gmail.com>

Since:
  4.6

## Methods
| __init__ (self, QObject parent=0)
bool | acceptRow (self, int sourceRow, QModelIndex sourceParent)
| addContentMimeTypeInclusionFilter (self, QString mimeType)
| addContentMimeTypeInclusionFilters (self, QStringList mimeTypes)
| clearFilters (self)
QStringList | contentMimeTypeInclusionFilters (self)
| setContentMimeTypeInclusionFilters (self, QStringList mimeTypes)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new recursive collection filter proxy model.

Parameters:

  | parent | The parent object.

bool acceptRow | ( | self, |
|  | int | sourceRow,
|  | QModelIndex | sourceParent
| ) |  |  |

addContentMimeTypeInclusionFilter | ( | self, |
|  | QString | mimeType
| ) |  |  |

Add content mime type to be shown by the filter.

Parameters:

  | mimeType | A mime type to be shown.

addContentMimeTypeInclusionFilters | ( | self, |
|  | QStringList | mimeTypes
| ) |  |  |

Add content mime types to be shown by the filter.

Parameters:

  | mimeTypes | A list of content mime types to be included.

clearFilters | ( |  | self ) |

Clears the current filters.

QStringList contentMimeTypeInclusionFilters | ( |  | self ) |

Returns the currently included mimetypes in the filter.

setContentMimeTypeInclusionFilters | ( | self, |
|  | QStringList | mimeTypes
| ) |  |  |

Replace the content mime types to be shown by the filter.

Parameters:

  | mimeTypes | A list of content mime types to be included.